Subject: bug#38918: 26.3; EBDB fails to edit (add) tags

From: Eric Abrahamsen <[email-masked]>
Date: Sat, 04 Jan 2020 16:35:48 -0800

Jorge P. de Morais Neto <[email-masked]> writes:

[...]

> Thank you for the fix. With it I can indeed insert a tag. I tested on
> my real EBDB database on Spacemacs develop as well as on the pure GNU
> Emacs with minimal customization and minimal EBDB database I used to
> reproduce this bug. The tests were quick however, I just added a small
> tag to a few records, and on one case I edited a tags field to add a
> second tag (manually separated by ":").
>
> There are still quirks:
>
> 1. When hitting "i" to insert a tags field on a record that already has
> a tags field, I get a big error message (attached). I would prefer a
> short and clear error message.
> 2. When editing a tags field with the extended interface ("E"), and
> adding a second tag, I can successfully hit "[Apply]" and it works;
> but when hitting "[Accept]" I get an error.

Well this is still weird. I can reproduce number 1 above, but not number
2. Let me first fix the problems I can reproduce, and then try to figure
out exactly why I'm not seeing what you're seeing.

Thanks,
Eric